import java.util.Scanner;

public class Horsemeet {

    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        int whiteX = sc.nextInt()-1;
        int whiteY = sc.nextInt()-1;
        int blackX = sc.nextInt()-1;
        int blackY = sc.nextInt()-1;

        int[][] probs = new int[8][8];
        for (int i = 0;i<4;i++){
            for (int j = 0;j<4;j++){
                probs[i+2][j+2] = 8;
            }
        }
        for (int i = 0;i<4;i++){
            probs[i+2][0] = 4;
            probs[i+2][7] = 4;
            probs[0][i+2] = 4;
            probs[7][i+2] = 4;
        }
        probs[1][1] = 4;
        probs[6][1] = 4;
        probs[1][6] = 4;
        probs[6][6] = 4;
        probs[6][6] = 4;
        probs[0][0] = 2;
        probs[0][1] = 2;
        probs[1][0] = 2;
        probs[7][7] = 2;
        probs[7][6] = 2;
        probs[6][7] = 2;
        probs[0][7] = 2;
        probs[1][7] = 2;
        probs[0][6] = 2;
        probs[7][0] = 2;
        probs[6][0] = 2;
        probs[7][1] = 2;
        
        double[][] whiteProbs = new double[8][8];
        double[][] blackProbs = new double[8][8];
        whiteProbs[whiteX][whiteY] = 1;
        blackProbs[blackX][blackY] = 1;
        double blackVictory = 0;
        double whiteVictory = 0;
        int x = 20;
        while (x!=0) {
            x--;
            double[][] whiteProbsNew = new double[8][8];
            double[][] blackProbsNew = new double[8][8];
            for (int blackXProb = 0;blackXProb<8;blackXProb++) {
                for (int blackYProb = 0; blackYProb<8;blackYProb++) {
                    if (blackProbs[blackXProb][blackYProb] != 0) {
                        for (int xChange = -2; xChange <= 2; xChange += 4) {
                            if (blackXProb + xChange >= 0 && blackXProb + xChange <= 7)
                                for (int yChange = -1; yChange <= 1; yChange += 2) {
                                    if (blackYProb + yChange >= 0 && blackYProb + yChange <= 7) {
                                        blackProbsNew[blackXProb + xChange][blackYProb + yChange] = ((double)1/probs[blackXProb + xChange][blackYProb + yChange])*blackProbs[blackXProb][blackYProb];
                                        if (whiteProbs[blackXProb + xChange][blackYProb + yChange] > 0) {
                                            blackVictory+=whiteProbs[blackXProb + xChange][blackYProb + yChange]*blackProbsNew[blackXProb + xChange][blackYProb + yChange];
                                        }
                                    }
                                }
                        }
                        for (int yChange = -2; yChange <= 2; yChange += 4) {
                            if (blackYProb + yChange >= 0 && blackYProb + yChange <= 7)
                                for (int xChange = -1; xChange <= 1; xChange += 2) {
                                    if (blackXProb + xChange >= 0 && blackXProb + xChange <= 7) {
                                        blackProbsNew[blackXProb + xChange][blackYProb + yChange] = ((double)1/probs[blackXProb + xChange][blackYProb + yChange])*blackProbs[blackXProb][blackYProb];
                                        if (whiteProbs[blackXProb + xChange][blackYProb + yChange] > 0) {
                                            blackVictory+=whiteProbs[blackXProb + xChange][blackYProb + yChange]*blackProbsNew[blackXProb + xChange][blackYProb + yChange];
                                        }
                                    }
                                }
                        }
                    }
                }
            }

            blackProbs = blackProbsNew;

            for (int whiteXProb = 0;whiteXProb<8;whiteXProb++) {
                for (int whiteYProb = 0; whiteYProb<8;whiteYProb++) {
                    if (whiteProbs[whiteXProb][whiteYProb] != 0) {
                        for (int xChange = -2; xChange <= 2; xChange += 4) {
                            if (whiteXProb + xChange >= 0 && whiteXProb + xChange <= 7)
                                for (int yChange = -1; yChange <= 1; yChange += 2) {
                                    if (whiteYProb + yChange >= 0 && whiteYProb + yChange <= 7) {
                                        whiteProbsNew[whiteXProb + xChange][whiteYProb + yChange] = ((double)1/probs[whiteXProb + xChange][whiteYProb + yChange])*whiteProbs[whiteXProb][whiteYProb];
                                        if (blackProbs[whiteXProb + xChange][whiteYProb + yChange] > 0) {
                                            whiteVictory+=blackProbs[whiteXProb + xChange][whiteYProb + yChange]*whiteProbsNew[whiteXProb + xChange][whiteYProb + yChange];
                                        }
                                    }
                                }
                        }
                        for (int yChange = -2; yChange <= 2; yChange += 4) {
                            if (whiteYProb + yChange >= 0 && whiteYProb + yChange <= 7)
                                for (int xChange = -1; xChange <= 1; xChange += 2) {
                                    if (whiteXProb + xChange >= 0 && whiteXProb + xChange <= 7) {
                                        whiteProbsNew[whiteXProb + xChange][whiteYProb + yChange] = ((double)1/probs[whiteXProb + xChange][whiteYProb + yChange])*whiteProbs[whiteXProb][whiteYProb];
                                        if (blackProbs[whiteXProb + xChange][whiteYProb + yChange] > 0) {
                                            whiteVictory+=blackProbs[whiteXProb + xChange][whiteYProb + yChange]*whiteProbsNew[whiteXProb + xChange][whiteYProb + yChange];
                                        }
                                    }
                                }
                        }
                    }
                }
            }
            whiteProbs = whiteProbsNew;
        }
        if(blackVictory>whiteVictory)
            System.out.println("white");
        else if (whiteVictory-blackVictory>(double)1/1000000) {
            System.out.println("black");
        }
        else
            System.out.println("draw");
    }
}
